org.eclipse.cdt.utils.pty

## Enum PTY.Mode

- java.lang.Object
- - java.lang.Enum<PTY.Mode>
  - - org.eclipse.cdt.utils.pty.PTY.Mode

All Implemented Interfaces:
  Serializable, Comparable<PTY.Mode>

Enclosing class:
  PTY

    public static enum PTY.Mode
    extends Enum<PTY.Mode>

The pty modes.

Since:
  5.6

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONSOLE` This mode is for use with an Eclipse console.
`TERMINAL` This mode is for use with a terminal emulator.

### Method Summary

All Methods Static Methods Concrete Methods
`static PTY.Mode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PTY.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONSOLE

    public static final PTY.Mode CONSOLE

This mode is for use with an Eclipse console.

#### TERMINAL

    public static final PTY.Mode TERMINAL

This mode is for use with a terminal emulator.

### Method Detail

#### values

    public static PTY.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PTY.Mode c : PTY.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PTY.Mode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null